---------------------------------------------------------
 3.84
---------------------------------------------------------
 o New function "Apply reg-file to registry of inactive system..."
   Paths to this keys will be modified:
     HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet
     HKEY_LOCAL_MACHINE\SYSTEM
     HKEY_LOCAL_MACHINE\SOFTWARE
     HKEY_CLASSES_ROOT
   (!) Paths to HKEY_CURRENT_USER & HKEY_USERS ignored.
   (!) HKEY_CLASSES_ROOT replaced with corresponded HKLM\Software path.
   (for inactive systems only).

 o New flag parameter in settings.ini
   [Settings]
   ; Username for proxy server
     ProxyUser

 o New flag parameter in settings.ini
   [Settings]
   ; Password for proxy server
     ProxyPassword

 o New flag parameter in settings.ini
   [Settings]
   ; Hide verified files with "VIRUS" state if WDS list is active.
   ; (Works only with autoscript function)
     ImgAutoHideVerified (0 by default)

 o New bug reporting module "report_crash.exe"
   You can send minidump of crashed process to developer for debugging.

 o Some improvements.

 o Minor bug fix.

---------------------------------------------------------
 3.83
---------------------------------------------------------
 o Added full registry virtualization.

 o Now added lnk/files in user's desktops and menus to the list.

 o Added search function in "Installed Application" window.

 o Improved FireFox's plugins detection.

 o CmpImg utility upgraded to v1.01

 o Added support of user's White Digital Signature list. (WDS)
   You can add signatures in information window of file.

 o New flag in settings.ini
   [Settings]
   ; Turn ON WDS support.
     bUseWDSList (by default 0)

 o New flag parameter in settings.ini
   [Settings]
   ; Extra extensions of files added by function File->Add to list->...
   ; Sample: .BAT.CMD.LNK.VBS
     Add2ListExt (by default empty string)

 o Upgraded signature extraction function.

 o Added Windows ADK 8.1 support in creation boot disk function. (WinPE 5.x)
   You can download it: http://technet.microsoft.com/en-us/library/dn613859.aspx

 o Script commands "deldir" & "deldirex" now remove any links to deleted by this
   commands files.

 o Script command "czoo" now executed only in the end of the script.

 o New tweaks:
   28. Correct modified shortcuts. (replace .url/.bat with .exe and so on)
   29. Remove browser's parameters in shortcuts.
   30: Fix Game Explorer hang.
       Use if you have CPU power consuming process: C:\Windows\system32\rundll32.exe C:\Windows\system32\gameux.dll...

 o New hotkey Ctrl+*
   Invert filter
   Press ESC for reset or change section.

 o Added hash functions for objects.

 o New hot key Ctrl+T.
   Apply tweaks #1,2,3,9,28,29 if needed.
   You can use ImgAutoTweak falsg in part "Settings" of settings.ini.

 o Added Win8.1 bases and clean file in STORE.

 o Added registry App Paths keys support.

 o Added sort indicator.

 o New script command "exec32" behaved as a "exec" but with system redirector turned on.

 o Hotkey Alt+M removed. Now search started in current sort column.
 
 o New functions in Signature/Hash menu:
   Set verified status for all filtered objects with VTOK/JTOK
   Set verified status for all filtered KNOWN objects with VTOK/JTOK

 o Upgraded VT functions.
   Digital Signature information in VT response now used and some other minor
   improvements.

 o Added VT local cache support.
   Cache stored in "vtcache" subfolder.

 o New parameter in settings.ini
   [Settings]
   ; TTL VT cache in days.
     vtCacheDays (by default 15)
      0 - disable cache
     -1 - unlimited cache

 o New parameter in settings.ini
   [Settings]
   ; Prevent removing links to known files by commands delall & delref.
     bProtectKnown (by default 1)

 o Fixed and upgraded LNK parser.

 o Major bug fix.

 o Some improvements.

---------------------------------------------------------
 3.82
---------------------------------------------------------
 o New script command "deldir" path.
   Delete folder with content.

 o New script command "deldirex" path.
   Delete all execs in folder and subfolders.
   (deldir and deldirex can be added by using context menu of file/object)

 o New 27-th tweak - Delete all Google Chrome policies.

 o New script command "quit".
   Close uVS window at end of the script.

 o Now you can delete any file in Information window using context menu.

 o HOSTS.ICS support.

 o New parameter in settings.ini
   [Settings]
   ; Check list by criterion base
   ImgAutoAltF7 = 1 (1 by default, run check before ImgAutoF4)
                  2 (after ImgAutoF4)
                  0 (disbale)

 o New parameter in settings.ini
   [Settings]
   ; Add "breg" command to the script
     bHlpAddBackup (0 by default)

 o runscanner.net support fixed.

 o "DNS" section renamed to "DNS & IP"

 o Fixed start under RDP session.

 o Minor bug fix.

---------------------------------------------------------
 3.81.1
---------------------------------------------------------
 o New x64 module (uvsz.x64)

 o New menu item "File->Save OS Image and open it"

 o New menu item "File->Save OS Image without checking digital signatures and open it"

 o New menu item "File->Copy script to clipboard and return to active mode"

 o New hotkeys:
   Shift+Space - mark object as verified.
   Shift+Del - delete all refs
   Ctrl+Del - delete file only
   Ctrl+Shift+Del - delete file and all refs

 o Script->Autoscript (Alt+A)
   For OS Image mode only. The script generates automatically.
   (!) Function can be used after F7, Alt+F7.

 o New parameter in settings.ini
   [Settings]
   ; This flag used in autoscript function (Alt+A).
     ImgAutoDelMethod1 (1 by default)
     0 - ignore object with ?VIRUS? state.
     1 - use delall command on object with ?VIRUS? state.
     2 - use delref command.
     3 - use delref+del commands.

 o New parameter in settings.ini
   [Settings]
   ; This flag used in autoscript function (Alt+Shift+A).
     ImgAutoDelMethod2 (3 by default)
     0 - ignore object with ?VIRUS? state.
     1 - use delall command on object with ?VIRUS? state.
     2 - use delref command.
     3 - use delref+del commands.

 o New hotkey: Alt+Shift+A
   Autoscript with registry virtualization.

 o Now you can edit criterions in file's information window.

 o New object "DNS Server list"
   (all active DNS in system)

 o New script command "dirzooex"
   Copy all execs in folder (w/o subfolders) to Zoo.

 o New script command "del"
   Delete file only.

 o New script command "restreg"
   Restore registry previously saved by "breg" or "bdreg".

 o Added settings for GoogleDNS (TCP-IPv6).

 o Added #25 and #26 tweak.

 o Criterion drag & drop supported.

 o New hotkeys Ctrl+Z / Alt+Backspace.
   Cancel last command.
   For OS Image mode only.

 o New parameter in settings.ini
   [Settings]
   ; Sript's name (w/o path) for adding to the end of the current AUTOscript.
   ; Unicode encoding only!
   ; Put your script to the "script" subfolder.
     ImgAutoScriptAdd 

 o New parameter in settings.ini
   [Settings]
   ; Extensions filter for parsing function (Windows prefetcher).
     PrefetchExt (.EXE.SCR.DLL.SYS.BAT.CMD.VBS by default)

 o New hotkey Ctrl+T
   Use #1,2,3,9 tweaks if needed.

 o New parameter in settings.ini
   ; For OS Image mode only. (Ctrl+T)
   ; Use #1,2,3,9 tweaks automatically if needed.
     ImgAutoTweak (0 by default)

 o New hotkey Ctrl+H
   Delete all detected (by criterions) record in HOSTS.
   Now you can create criterions for HOSTS records.

 o New parameter in settings.ini
   ; For OS Image mode only. (Ctrl+H)
     ImgAutoDelHost (0 by default)
      1 - delete detected records automatically.
      2 - use 14-th tweak automatically.

 o Minor bug fix.

---------------------------------------------------------
 3.80.1
---------------------------------------------------------
 o Network engine v2.0.

 o New script command "dirzoo".
   Copy all files by mask in source folder to Zoo
   Sample: dirzoo c:\temp\*.exe

 o New parameter in settings.ini
   [Settings]
   ; Unwind "delnfr" command to sequences of delref commands (for OS images only)
     ImgDelnfrUnwind (0 by default)

 o New hotkey Ctrl+U
   Uninstall all detected (by criterions) software.

 o New parameter in settings.ini
   ; Add uninstall commands to the script for software detected by criterion (for OS images only)
     ImgAutoUninstall (0 by default)

   ; Add /quiet key with misexec.exe for uninstall command in the script
     ImgUninstQuiet (0 by default)

 o In the Log's context menu you can add uninstall commands for detected software.

 o Upgraded detection engine.

 o Fixed "zoo" script command.

---------------------------------------------------------
 3.77.17
---------------------------------------------------------
 o Now you can use criterions for unwanted software detection.

 o In file's information window added "Download" button.
   (for system files only)

 o New menu item Run->Reset DNS cache

 o New "unload" script command.
   Unload process for corresponding file.

---------------------------------------------------------
 3.77.16
---------------------------------------------------------
 o New module uvs_snd.exe, you can use it for submitting OS images.
   See http://dsrt.dyndns.org/uvs_freeupdate_en.htm

 o Fixed parameter parsing function.

 o Fixed updater.

---------------------------------------------------------
 3.77.15
---------------------------------------------------------
 o Added hash searching support on systemexplorer.net

 o Fixed VT hash checking function.

 o Added File_id in file information window.

---------------------------------------------------------
 3.77.14
---------------------------------------------------------
 o Added 4 new folders in temp folders list.

 o Fixed uninstall function.

 o Fixed VT hash checking function.

---------------------------------------------------------
 3.77.13
---------------------------------------------------------
 o Fixed ISO creation function.

 o Added DISM.EXE autodetection if Windows ADK installed.

---------------------------------------------------------
 3.77.12
---------------------------------------------------------
 o Added support "/" in file path.

---------------------------------------------------------
 3.77.11
---------------------------------------------------------
 o Update module now supported.

 o Patching of copype.cmd not needed anymore.
   Added optional packet integration Russian LP, HTA , WMI, .NET (4.5), MDAC.

 o Updater now displays balance in btc.

 o Fixed file open function.

 o Now missed temp folders created automatically.

 o Fixed JT upload function (for x64 OS)

---------------------------------------------------------
 3.77
---------------------------------------------------------
 o Minor bugfix

---------------------------------------------------------
 3.76
---------------------------------------------------------
 o Added support for complex criterions.

 o Added new registry keys.

 o New hotkey Alt+C.
   Unlock/lock column's width adjustment.

 o New menu item Run->Netsh winsock reset.

 o New script command "cexec"
   Behave like a "exec" command and out results to the log.

 o New context submenu "State"

 o New script command "OFFSGNSAVE"
   Locks virus database update on client side.

 o New parameter in settings.ini
   [Settings]
   ; If set automatically add OFFSGNSAVE command to the script
     bHlpNoSaveSgn (0 default)

 o Light bugfix

---------------------------------------------------------
 3.75
---------------------------------------------------------
 o Light interface changes.

 o Save MBR sector function added.

 o Whois support added.

 o Minor bugfix

---------------------------------------------------------
 3.74
---------------------------------------------------------
 o www.runscanner.net support added.

 o Minor bugfix.

---------------------------------------------------------
 3.73
---------------------------------------------------------
 o New item in "Script" menu: Import virus signatures from a script...

 o Critical bugfix.

---------------------------------------------------------
 3.72
---------------------------------------------------------
 o Now you can make bootable USB flash drive or bootable CD/DVD ISO.
   (File->Create bootable USB flash/iso [dism.exe + WAIK])

 o New items in "Signature/Hash" menu:
   "Check all unverified KNOWN files on VirusTotal.com"
   "Check all unverified KNOWN files on virusscan.Jotti.com"

 o virusscan.Jotti.com file upload support.
   (ESC to abort)

 o View loader contents (see context menu of loader).

 o New tweak #24
   Restore Group Policy keys [HKLM, registry backup]
   (!) Registry backup required for this operation.

 o New startup key for start.exe
   /t  - start and open execute script dialog
   (script.cmd included)

 o SystemExplorer.net support.
   (see context menu of a file)

 o New item "Advanced->Select path to STORE..."

 o New parameter in the settings.ini
   [Settings]
   ; Disable sound.
     bMute (0 default)

 o Minor bugfix.

---------------------------------------------------------
 3.71
---------------------------------------------------------

 o Minor bugfix.

---------------------------------------------------------
 3.70
---------------------------------------------------------
 o Default value "bNetFastLoad" changed to 1.

 o Default value "SearchMode" changed to 1.

 o New parameter in the settings.ini
   [Settings]
   ; Archive a file (OS Image)
     ArchiveFile = 7zip\7za.exe a -t7z -mx9 -m0=ppmd:o=32:mem=64m "%s.7z" "%s"
     (Sample for 7za.exe)

   ; Decompress OS Image
     DecompressImage = 7zip\7za.exe x -y "%s" -o"%s" *.txt

   ; Archive Zoo
     ArchiveZoo = 7zip\7za.exe a -t7z "%s.7z" -pvirus "%s\*.*"

 o Minor bugfix.

---------------------------------------------------------
 3.69
---------------------------------------------------------
 o MBR/VBR/IPL signatures and VT/JT support.

 o New item in "Signature/Hash" menu:
   "Reset "SUSP." state of all known files w/o digital signature"

 o Added MSIE, Firefox, Opera, Chrome start pages.

 o Critical bug fixed.

---------------------------------------------------------
 3.68
---------------------------------------------------------
 o 2 registry keys added.

 o New item in "Advanced" menu 
   "Reset all attributes in the specified directory..."

 o New item in "Settings" menu
   "Manual disk names translation...". 

 o New parameter in the settings.ini
   [Settings]
   ; Add all dirs in the list
   AddDirs
   Separator : |
   No recursion flag: >
   Sample: AddDirs = %sys32% | d:\tools | >%SystemDrive%

 o Light bugfix.

---------------------------------------------------------
 3.67
---------------------------------------------------------
 o VBR+IPL support.
   Only for FAT12/FAT16/FAT32/NTFS/exFAT.

 o New script command "fixvbr".
   Sample: fixvbr c: 6
             c - name of volume, 
             6 - boot code version (6 - Vista/Seven, 5 - 2k/xp/2k3)

 o New menu item "Registry" -> "[INTEL] Enable AHCI support..."
   (see AHCI.txt for details).

 o New value in settings.ini
   [Settings]
   ; Filter by developer (for VT/JT services only).
     vFilter (String)
     Sample: Kaspersky, DrWeb, AntiVir

   ; Autoname function for new virus in base.
     vGetName (String)
     Sample: Kaspersky, DrWeb, AntiVir

 o New item in the context menu "Unrestrict run by MD5 hash"
   Script command: "rbl".

 o New hotkey Alt+M
   Search mode: by Name or by Developer.

 o GPT support.

 o New Virus Base format.

---------------------------------------------------------
 3.66
---------------------------------------------------------
 o Added MBR related functions.

 o Added Save & Restore sytstem registry functions.

 o Tweak #23: "Remove ALL files in the System Volume Information"

 o Light bugfix.

---------------------------------------------------------
 3.65
---------------------------------------------------------
 o Known file replacement detection. (by F7 hotkey)

 o New item in the context menu: "Copy to STORE".

 o New item in the main menu: "Advanced->Restore all missed known files" (from STORE)

 o All script operation moved to the "Script" menu.

 o New script command "crimg".
   This command can be used for custom OS Image creation process.
   Sample: 
     adddir %sys32%
     adddir %systemdrive%\users\administrator
     crimg

 o Light bugfix.

---------------------------------------------------------
 3.64
---------------------------------------------------------
 o Added jotti.org support.

 o Minor bugfix.
 
---------------------------------------------------------
 3.63
---------------------------------------------------------
 o Minor bugfix.
 
---------------------------------------------------------
 3.62
---------------------------------------------------------
 o New hotkey:
   Alt+Enter  -  File properties.

 o Light bugfix.

---------------------------------------------------------
 3.61
---------------------------------------------------------
 o New category "DNS".
   New script command "setdns".  

 o New item in the "Registry" menu: "Check parameters of device classes by registry backup".

 o New item in the "Registry" menu: "[HKLM] Clear System\MountedDevices key"
   Script command "clrmd".  

 o New buttons in the Remote Desktop window.
   "CAD" - Send Ctrl+Alt+Del
   "<" - previous desktop
   ">" - next desktop

 o Light interface improvements.

 o Light Bug fix.

---------------------------------------------------------
 3.60
---------------------------------------------------------
 o New computer information and base.
   Menu: Advanced
   Hotkey: Alt+I.
   (Network/Normal mode only)

 o New item in the context menu: "Upload file by VirusTotal Uploader".

 o New item in the "File" menu: "Add to list->All execs in the specified directory".

 o New item in the "Registry" menu: "Check parameters of services and drivers by registry backup".

 o New script command "RF filename" (Restore file)

 o New item in the context menu: "Open file's directory [FM]"
   Select external File Manager by Alt+F hotkey first.
   Hotkey: Alt+Shift+F

 o New falgs in the settings.ini
   [Settings]
   ; Only for active OS
   bFastLoad      = 0 (defaul, normal mode) 
                    1 (Skip system scan)

   ; Automatic image creation
   bCreateImage  = 0 (default, normal mode) 
                   1 (create image automatically)
                   2 (create image automatically)
                   3 (create image automatically in mute mode and exit)

 o 1 registry key added.

 o Date/time added to the Log.

 o Parent process information in the file's information dialog.

 o Last used ip/computername preserved.

 o Light interface improvements.

 o Minor Bug fix.

 o http://dsrt.jino-net.ru closed.
   Main server: http://dsrt.dyndns.org

---------------------------------------------------------
 3.51
---------------------------------------------------------
 o Network Mode: Now SHA1 base is not copied over network without sacrificing functionality.

 o Support for custom SHA1 bases.
   Just place custom base(s) into "SHA" folder and it will be loaded automatically.
   (!) R/O mode.

 o New parameter in the settings.ini
   (other parameters you can find in the Russian FAQ)
   [Settings]
   ; SHA1 Base name. (name for _user base)
   Sha1Name (by default SHA1)

 o SHA1 default base was renamed.
   New name: MAIN (in the "SHA" subfolder)
   Base loaded automatically in R/O mode.
   You can add new hashes in the user SHA1 base. (Name "SHA1" by default)

 o Minor bug fix.

---------------------------------------------------------
 3.50
---------------------------------------------------------
  o New VirusTotal.com related functions.

  o New state "?VIRUS?".

  o New User Criterion Base. (old snms base)
    Define any criterion in the context menu of the file information dialog.
    Hot Key for scan: Alt+F7

  o External browser & text editor selection available in the "Settings" menu.

  o 7-zip/rar OS images support.

  o Minor bug fix.

---------------------------------------------------------
 3.46
---------------------------------------------------------
  o New hotkey:
    Shift+F10 - Context menu.

---------------------------------------------------------
 3.45
---------------------------------------------------------
 o Minor bug fix.

---------------------------------------------------------
 3.44
---------------------------------------------------------
 o Light improvements.

 o bug fix.

---------------------------------------------------------
 3.43
---------------------------------------------------------
 o Light improvements.

 o Minor bug fix.

---------------------------------------------------------
 3.42
---------------------------------------------------------
 o Minor bug fix.

---------------------------------------------------------
 3.41
---------------------------------------------------------
 o Clipboard autosync.

 o Light improvements.

 o Minor bug fix.

---------------------------------------------------------
 3.40
---------------------------------------------------------
 o Remote desktop control feature. (network mode)
   Hotkey: Alt+V

 o Some improvements.

 o Minor bug fix.

---------------------------------------------------------
 3.33
---------------------------------------------------------
 o New tweak #22 "Restore exec file's start parameters"

 o New item "Services" in the "Run" menu.

 o Some light improvements.

---------------------------------------------------------
 3.32
---------------------------------------------------------
 o Minor bug fix.

---------------------------------------------------------
 3.31
---------------------------------------------------------
 o New script commands.

 o New StartF module.

 o Minor bug fix.

---------------------------------------------------------
 3.30
---------------------------------------------------------
 o New search mode.

 o New run keys.
   (see _startup.txt)

 o New malware name's base.

 o Antisplicer mode.

 o New hotkey Alt+S. (Save script)

 o Light bug fix.

---------------------------------------------------------
 3.27
---------------------------------------------------------
 o Fixed some interface bugs (Windows 2000 only)

 o xMD5 module for applying bl.log

 o New script command EXEC.

 o Advanced->Installed Applications now is available in the Virtual Mode.

---------------------------------------------------------
 3.26
---------------------------------------------------------
 o MD5 support (RFC 1321)

 o New function: Restrict run by MD5 hash (see context menu)

 o New tweak #19 "Remove all restricted (by uVS) MD5 hashes".

 o New tweak #20 "Restore corrupted ImagePath values".

 o Tweak #21 "Restore SafeBoot key"

 o New option in "Run" menu - GPUPDATE /FORCE

 o Log view mode.
   Hotkey Alt+L.

 o Minor bug fix.
